Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.ui
Class JRexFindConfig

    java.lang.Object
      org.mozilla.jrex.ui.JRexFindConfig

public class JRexFindConfig
extends Object

A Data class to hold all the find operation related data.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`JRexFindConfig(String searchString)` Constructor to create config for search operation.
`JRexFindConfig(String searchString, boolean findBackwards, boolean wrapFind, boolean entireWord, boolean matchCase, boolean searchFrames)` Constructor to create config for search operation.

Method Summary
`String` | `getSearchString()` Returns Search String for the config.
`boolean` | `isEntireWord()` Returns true if search try's to match only complete word.
`boolean` | `isFindBackwards()` Returns true search direction will be backward.
`boolean` | `isMatchCase()` Returns true if search is case sensitive.
`boolean` | `isSearchFrames()` Returns true if frames are searched.
`boolean` | `isWrapFind()` Returns true if continues after end/begin(in case of backward search) of page.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRexFindConfig

    public JRexFindConfig(String searchString,
                          boolean findBackwards,
                          boolean wrapFind,
                          boolean entireWord,
                          boolean matchCase,
                          boolean searchFrames)

  Constructor to create config for search operation.

Parameters:
  `searchString` - the string to search.
  `findBackwards` - If true search direction will be backward.
  `wrapFind` - If true search continues after end/begin(in case of backward search) of page.
  `entireWord` - If true search try's to match only complete word.
  `matchCase` - If true search is case sensitive.
  `searchFrames` - If true frames are searched.

### JRexFindConfig

    public JRexFindConfig(String searchString)

  Constructor to create config for search operation.

Parameters:
  `searchString` - the string to search. Note:- rest of the find parameteres are all set to false.
See Also:
  `JRexFindConfig(String,boolean,boolean,boolean,boolean,boolean)`

Method Detail

### getSearchString

    public String getSearchString()

  Returns Search String for the config.

### isFindBackwards

    public boolean isFindBackwards()

  Returns true search direction will be backward.

### isWrapFind

    public boolean isWrapFind()

  Returns true if continues after end/begin(in case of backward search) of page.

### isEntireWord

    public boolean isEntireWord()

  Returns true if search try's to match only complete word.

### isMatchCase

    public boolean isMatchCase()

  Returns true if search is case sensitive.

### isSearchFrames

    public boolean isSearchFrames()

  Returns true if frames are searched.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.